package com.prolog.cs.biz.outbound.model.dto;

import com.prolog.cs.biz.outbound.model.BILL_STATUS;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class WavesGroupBillQueryDTO {

    @ApiModelProperty(value = "当前页码" ,required = true)
    private Integer pageSize;

    @ApiModelProperty(value = "每页数量",required = true)
    private Integer pageNum;

    @ApiModelProperty(value = "波次ID")
    private String wavesId;

    @ApiModelProperty(value = "波次分组ID")
    private String wavesGroupId;

    @ApiModelProperty(value = "来源单ID")
    private String srcHeaderId;

    @ApiModelProperty(value = "状态")
    private BILL_STATUS status;

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public String getWavesId() {
        return wavesId;
    }

    public void setWavesId(String wavesId) {
        this.wavesId = wavesId;
    }

    public String getWavesGroupId() {
        return wavesGroupId;
    }

    public void setWavesGroupId(String wavesGroupId) {
        this.wavesGroupId = wavesGroupId;
    }

    public String getSrcHeaderId() {
        return srcHeaderId;
    }

    public void setSrcHeaderId(String srcHeaderId) {
        this.srcHeaderId = srcHeaderId;
    }

    public BILL_STATUS getStatus() {
        return status;
    }

    public void setStatus(BILL_STATUS status) {
        this.status = status;
    }
}
